# (c) cavaliba.com

#  SITE

# -----------------------------------
#  site permission
# -----------------------------------

- classname: _permission
  keyname: p_data_site_admin
  description: "data_site admin permission"
  displayname: "p_data_site_admin"
  

- classname: _permission
  keyname: p_data_site_create
  description: "data_site create permission"
  displayname: p_data_site_create
  

- classname: _permission
  keyname: p_data_site_read
  description: "data_site read permission"
  displayname: p_data_site_read
  

- classname: _permission
  keyname: p_data_site_update
  description: "data_site update permission"
  displayname: p_data_site_update
  
      
- classname: _permission
  keyname: p_data_site_delete
  description: "data_site delete permission"
  displayname: p_data_site_delete
  
     



# --------------------------------------------
# site schema
# --------------------------------------------

- classname: _schema
  keyname: site
  displayname: Sites
  _action: init
  is_enabled: yes
  order: 200
  page: Asset Management

  _options:
      icon: fa-hospital-o
      p_admin: p_data_site_admin
      p_create: p_data_site_create
      p_read: p_data_site_read
      p_update: p_data_site_update
      p_delete: p_data_site_delete

  description:
      displayname: Description
      order: 100
      dataformat: string

  notify_user:
      displayname: Notify (Users)
      page: Notifications
      order: 200
      dataformat: user
      cardinal_max: 0

  notify_group:
      displayname: Notify (Groups)
      page: Notifications
      order: 210
      dataformat: group
      cardinal_max: 0        

  notify_app:      
      displayname: Notify (Apps)
      page: Notifications
      order: 220
      dataformat: schema
      dataformat_ext: app
      cardinal_max: 0



# --------------------------------------------
# site dashboard
# --------------------------------------------

- classname: _home
  keyname: data_site
  displayname: Sites
  description: Sites
  icon: fa-hospital-o
  url: /data/private/c/site/list/
  dashboard_section: Asset Management
  sidebar_section: Asset Management
  order: 200
  permission: p_data_site_read
  _action: init

